### 字典订阅

#### 集团方案

```
目前只提供集团方案的创建、编辑和查询接口

```

数据结构
| 字段 | 数据类型 | 查询字段 | 说明 |
| ------------- | -------- | -------- | --------------------------------------------------------------- |
| id | String | Y | 全局唯一 |
| name | String | Y | 名称,不可为空 |
| groupCode | String | Y | 集团编码, 不可为空 |
| remark | String | Y | 备注 |
| status | String | Y | 状态 |

###### 查询

请求方式

```
POST /rwd/schema/query?groupCode=集团编码
```

路径参数说明

| 字段      | 数据类型 | 说明              |
| --------- | -------- | ----------------- |
| groupCode | String   | 集团编码,不可为空 |

请求体

```
{
    "criteria": {
    }
}

```

返回数据

```
{
    "result": "success",
    "data": [
        {
            "id": "ZS-BUSI",
            "name": "商业",
            "groupCode": "ZS",
            "status": 1
        }
    ],
    "count": 1
}

```

###### 创建

请求方式

```
POST /rwd/schema/create?groupCode=集团编码
```

路径参数说明

| 字段      | 数据类型 | 说明              |
| --------- | -------- | ----------------- |
| groupCode | String   | 集团编码,不可为空 |

请求体

```
{
    "id": "ZS-BUSI2",
    "name": "商业2"
}
```

返回数据

```
{
    "result": "success",
    "data": {
        "id": "ZS-BUSI2"
    }
}

```

###### 编辑

```
只能更新name和remark字段
```

请求方式

```
POST /rwd/schema/update?groupCode=集团编码
```

路径参数说明

| 字段      | 数据类型 | 说明              |
| --------- | -------- | ----------------- |
| groupCode | String   | 集团编码,不可为空 |

请求体

```
{
    "id": "ZS-BUSI2",
    "name": "商业3"
}
```

返回数据

```
{
    "result": "success",
    "data": {
        "id": "ZS-BUSI2"
    }
}

```

#### 配置项目方案

```
项目必须配置一个集团方案，且配置后不允许修改
```

数据结构
| 字段 | 数据类型 | 查询字段 | 说明 |
| ------------- | -------- | -------- | --------------------------------------------------------------- |
| groupCode | String | Y | 集团编码, 不可为空 |
| schemaId | String | Y | 集团方案 ID, 不可为空 |
| projectId | String | Y | 项目 Id, 不可为空 |

###### 查询

请求方式

```
POST /rwd/schema/project/query?groupCode=集团编码
```

路径参数说明

| 字段      | 数据类型 | 说明              |
| --------- | -------- | ----------------- |
| groupCode | String   | 集团编码,不可为空 |

请求体

```
{
    "criteria": {
    }
}

```

返回数据

```
{
    "result": "success",
    "data": [
        {
            "id": "ZS-BUSI-Pj4403050019",
            "schemaId": "ZS-BUSI",
            "groupCode": "ZS",
            "projectId": "Pj4403050019"
        }
    ],
    "count": 1
}

```

###### 创建

请求方式

```
POST /rwd/schema/project/create?groupCode=集团编码
```

路径参数说明

| 字段      | 数据类型 | 说明              |
| --------- | -------- | ----------------- |
| groupCode | String   | 集团编码,不可为空 |

请求体

```
{
    "id": "ZS-BUSI-Pj4403050019",
    "schemaId": "ZS-BUSI",
    "projectId": "Pj4403050019"
}

```

返回数据

```
{
    "result": "success",
    "data": {
        "id": "ZS-BUSI-Pj4403050019"
    }
}

```
