# 任务调度接口文档

## 系统接口

### 查询

请参考[通用查询](/utils/query.md)

### 任务配置

#### 新增

请求方法：POST

请求路径：/task/cfg/create?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
{
    "groupCode": "1",
    "appId": "2",
    "projectId": "123",
    "code": "456",
    "name": "QKZZ",
    "type": "JMS",
    "config": {
        "queue": "",
        "exchange": "",
        "routing": ""
    },
    "params": {
        "test":"123"
    },
    "timeRule": {
      "triggerStartTime":"任务通知的开始日期,格式：时间戳,当cron为空时，必须存在",
      "triggerEndTime":"任务通知的结束日期,格式：时间戳",
      "intervalTime":"数值型,任务上下两次通知的间隔时间,单位：秒",
      "repeatCount":"数值型,任务通知次数（不包含任务启动的那一次）当其大于0时,intervalTime也必须大于0",
      "cron":"cron表达式",
      "alarmEmail":"报警邮箱"
    },
    "startTime": "1600167750640",
    "endTime": "1600167750640",
    "responseTime": 500,
    "level": "10",
    "remark": "测试"
}
```

返回结果：

正确JSON示例

```json
{
    "result": "success",
    "message": null,
    "data": {
        "id": "123456"
    }
}
```

错误JSON示例

```json
{
    "result": "fail",
    "message": "错误信息,如果接口发生错误会返回该字段"
}
```

#### 更新

请求方法：POST

请求路径：/task/cfg/update?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
{
    "id":"123456",
    "groupCode": "1",
    "appId": "2",
    "projectId": "123",
    "code": "456",
    "name": "QKZZ",
    "type": "JMS",
    "config": {
        "queue": "",
        "exchange": "",
        "routing": ""
    },
    "params": {
        "test":"123"
    },
    "timeRule": {
      "triggerStartTime":"任务通知的开始日期,格式：时间戳,当cron为空时，必须存在",
      "triggerEndTime":"任务通知的结束日期,格式：时间戳",
      "intervalTime":"数值型,任务上下两次通知的间隔时间,单位：秒",
      "repeatCount":"数值型,任务通知次数（不包含任务启动的那一次）当其大于0时,intervalTime也必须大于0",
      "cron":"cron表达式",
      "alarmEmail":"报警邮箱"
    },
    "startTime": "1600167750640",
    "endTime": "1600167750640",
    "responseTime": 500,
    "level": "10",
    "remark": "测试"
}
```

返回结果：

正确JSON示例

```json
{
    "result": "success",
    "message": null,
    "data": {
        "id": "c51a599e-e833-4088-911a-8b535bddfe0b"
    }
}
```

错误JSON示例

```json
{
    "result": "fail",
    "message": ""
}
```

#### 删除

请求方法：POST

请求路径：/task/cfg/delete?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
{
    "id":"123456"
}
```

返回结果：

正确JSON示例

```json
{
    "result": "success",
    "message": null,
    "data": {
        "id": "c51a599e-e833-4088-911a-8b535bddfe0b"
    }
}
```

错误JSON示例

```json
{
    "result": "fail",
    "message": ""
}
```

### 任务记录

请求方法：POST

请求路径：/task/record/query

请求参数：

```json
查询字段：
{
  "id": "1",
  "taskId": "t1",
  "startTime": 1602802722000,
  "endTime": 1602802725000,
  "success": 1
}
```

#### 回调接口

请求方法：POST

请求路径：/task/record/receive?userId=用户id&groupCode=集团编码&projectId=项目Id&appId=应用id

请求参数：

```json
["1","2"]
```

返回结果：

正确JSON示例

```json
{
    "result": "success",
    "message": null,
    "data": null
}
```

错误JSON示例

```json
{
    "result": "fail",
    "message": ""
}
```
